package com.kingdee.eas.custom.lxsq;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractProjectApplicationInfo extends com.kingdee.eas.xr.XRBillBaseInfo implements Serializable 
{
    public AbstractProjectApplicationInfo()
    {
        this("id");
    }
    protected AbstractProjectApplicationInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:立项申请's 标题property 
     */
    public String getTitle()
    {
        return getString("title");
    }
    public void setTitle(String item)
    {
        setString("title", item);
    }
    /**
     * Object:立项申请's 文件加急property 
     */
    public boolean isEmergency()
    {
        return getBoolean("emergency");
    }
    public void setEmergency(boolean item)
    {
        setBoolean("emergency", item);
    }
    /**
     * Object:立项申请's 项目名称property 
     */
    public String getProjectNam()
    {
        return getString("projectNam");
    }
    public void setProjectNam(String item)
    {
        setString("projectNam", item);
    }
    /**
     * Object: 立项申请 's 提交部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getPreDepartment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("preDepartment");
    }
    public void setPreDepartment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("preDepartment", item);
    }
    /**
     * Object: 立项申请 's 提交人公司 property 
     */
    public com.kingdee.eas.basedata.org.CompanyOrgUnitInfo getPreCompany()
    {
        return (com.kingdee.eas.basedata.org.CompanyOrgUnitInfo)get("preCompany");
    }
    public void setPreCompany(com.kingdee.eas.basedata.org.CompanyOrgUnitInfo item)
    {
        put("preCompany", item);
    }
    /**
     * Object: 立项申请 's 提交人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPrePerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("prePerson");
    }
    public void setPrePerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("prePerson", item);
    }
    /**
     * Object:立项申请's 项目预算property 
     */
    public java.math.BigDecimal getBudget()
    {
        return getBigDecimal("budget");
    }
    public void setBudget(java.math.BigDecimal item)
    {
        setBigDecimal("budget", item);
    }
    /**
     * Object:立项申请's 项目预计开始时间property 
     */
    public java.util.Date getStartTime()
    {
        return getDate("startTime");
    }
    public void setStartTime(java.util.Date item)
    {
        setDate("startTime", item);
    }
    /**
     * Object:立项申请's 项目预计结束时间property 
     */
    public java.sql.Time getEndTime()
    {
        return getTime("endTime");
    }
    public void setEndTime(java.sql.Time item)
    {
        setTime("endTime", item);
    }
    /**
     * Object: 立项申请 's 所属公司 property 
     */
    public com.kingdee.eas.basedata.org.CompanyOrgUnitInfo getAttributeCompany()
    {
        return (com.kingdee.eas.basedata.org.CompanyOrgUnitInfo)get("attributeCompany");
    }
    public void setAttributeCompany(com.kingdee.eas.basedata.org.CompanyOrgUnitInfo item)
    {
        put("attributeCompany", item);
    }
    /**
     * Object:立项申请's 事由及要求property 
     */
    public String getReason()
    {
        return getString("reason");
    }
    public void setReason(String item)
    {
        setString("reason", item);
    }
    /**
     * Object:立项申请's 备注property 
     */
    public String getComment()
    {
        return getString("comment");
    }
    public void setComment(String item)
    {
        setString("comment", item);
    }
    /**
     * Object:立项申请's 项目预计结束时间property 
     */
    public java.util.Date getOverTime()
    {
        return getDate("overTime");
    }
    public void setOverTime(java.util.Date item)
    {
        setDate("overTime", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("FD76D410");
    }
}